RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
plot_structure.h File Reference
Utilities » Functions for Creating RNA Secondary Structures Plots, Dot-Plots, and More

Various functions for plotting RNA secondary structures. More...

Include dependency graph for plot_structure.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | vrna_file_PS_rnaplot (const char *seq, const char *structure, const char *file, vrna_md_t *md_p)
| Produce a secondary structure graph in PostScript and write it to 'filename'. More...
int | vrna_file_PS_rnaplot_a (const char *seq, const char *structure, const char *file, const char *pre, const char *post, vrna_md_t *md_p)
| Produce a secondary structure graph in PostScript including additional annotation macros and write it to 'filename'. More...
int | gmlRNA (char *string, char *structure, char *ssfile, char option)
| Produce a secondary structure graph in Graph Meta Language (gml) and write it to a file. More...
int | ssv_rna_plot (char *string, char *structure, char *ssfile)
| Produce a secondary structure graph in SStructView format. More...
int | svg_rna_plot (char *string, char *structure, char *ssfile)
| Produce a secondary structure plot in SVG format and write it to a file. More...
int | xrna_plot (char *string, char *structure, char *ssfile)
| Produce a secondary structure plot for further editing in XRNA. More...
int | PS_rna_plot (char *string, char *structure, char *file)
| Produce a secondary structure graph in PostScript and write it to 'filename'. More...
int | PS_rna_plot_a (char *string, char *structure, char *file, char *pre, char *post)
| Produce a secondary structure graph in PostScript including additional annotation macros and write it to 'filename'. More...
int | PS_rna_plot_a_gquad (char *string, char *structure, char *ssfile, char *pre, char *post)
| Produce a secondary structure graph in PostScript including additional annotation macros and write it to 'filename' (detect and draw g-quadruplexes) More...

## Detailed Description

Various functions for plotting RNA secondary structures.